Package org.eclipse.emf.cdo.spi.common.revision

## Class RevisionInfo

- java.lang.Object
- - org.eclipse.emf.cdo.spi.common.revision.RevisionInfo

- Direct Known Subclasses:
    `RevisionInfo.Available`, `RevisionInfo.Missing`

      public abstract class RevisionInfo
      extends java.lang.Object

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    3.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `RevisionInfo.Available` | If the meaning of this type isn't clear, there really should be more of a description here...
    `static class` | `RevisionInfo.Missing` | If the meaning of this type isn't clear, there really should be more of a description here...
    `static class` | `RevisionInfo.Type` | If the meaning of this type isn't clear, there really should be more of a description here...

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `RevisionInfo​(CDOID id, CDOBranchPoint requestedBranchPoint)` |
    `protected` | `RevisionInfo​(CDODataInput in, CDOBranchPoint requestedBranchPoint)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected InternalCDORevision` | `doReadResult​(CDODataInput in)` | Deprecated. Not called anymore by the framework
    `protected void` | `doWriteResult​(CDODataOutput out, InternalCDORevision revision, int referenceChunk)` | Deprecated. Not called anymore by the framework
    `void` | `execute​(InternalCDORevisionManager revisionManager, int referenceChunk)` |
    `CDOID` | `getID()` |
    `CDOBranchPoint` | `getRequestedBranchPoint()` |
    `InternalCDORevision` | `getResult()` |
    `SyntheticCDORevision` | `getSynthetic()` |
    `abstract RevisionInfo.Type` | `getType()` |
    `abstract boolean` | `isLoadNeeded()` |
    `void` | `processResult​(InternalCDORevisionManager revisionManager, java.util.List<CDORevision> results, SyntheticCDORevision[] synthetics, int i)` |
    `static RevisionInfo` | `read​(CDODataInput in, CDOBranchPoint requestedBranchPoint)` |
    `void` | `readResult​(CDODataInput in)` |
    `static InternalCDORevision` | `readResult​(CDODataInput in, CDOID id, CDOBranch branch)` |
    `protected void` | `readRevision​(CDODataInput in)` |
    `void` | `setResult​(InternalCDORevision result)` |
    `void` | `setSynthetic​(SyntheticCDORevision synthetic)` |
    `java.lang.String` | `toString()` |
    `void` | `write​(CDODataOutput out)` |
    `void` | `writeResult​(CDODataOutput out, int referenceChunk)` | Deprecated. Not called anymore by the framework
    `void` | `writeResult​(CDODataOutput out, int referenceChunk, CDOBranchPoint securityContext)` |
    `static void` | `writeResult​(CDODataOutput out, InternalCDORevision revision, int referenceChunk)` | Deprecated. Call `writeResult(CDODataOutput, InternalCDORevision, int, CDOBranchPoint)`
    `static void` | `writeResult​(CDODataOutput out, InternalCDORevision revision, int referenceChunk, CDOBranchPoint securityContext)` |
    `protected void` | `writeRevision​(CDODataOutput out, int referenceChunk)` | Deprecated. Not called anymore by the framework
    `protected void` | `writeRevision​(CDODataOutput out, int referenceChunk, CDOBranchPoint securityContext)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RevisionInfo

          protected RevisionInfo​(CDOID id,
                                 CDOBranchPoint requestedBranchPoint)

    - #### RevisionInfo

          protected RevisionInfo​(CDODataInput in,
                                 CDOBranchPoint requestedBranchPoint)
                          throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### getType

          public abstract RevisionInfo.Type getType()

    - #### getID

          public final CDOID getID()

    - #### getRequestedBranchPoint

          public final CDOBranchPoint getRequestedBranchPoint()

    - #### getResult

          public InternalCDORevision getResult()

    - #### setResult

          public void setResult​(InternalCDORevision result)

    - #### getSynthetic

          public SyntheticCDORevision getSynthetic()

    - #### setSynthetic

          public void setSynthetic​(SyntheticCDORevision synthetic)

    - #### isLoadNeeded

          public abstract boolean isLoadNeeded()

    - #### write

          public void write​(CDODataOutput out)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### read

          public static RevisionInfo read​(CDODataInput in,
                                          CDOBranchPoint requestedBranchPoint)
                                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### execute

          public void execute​(InternalCDORevisionManager revisionManager,
                              int referenceChunk)

    - #### writeResult

          @Deprecated
          public void writeResult​(CDODataOutput out,
                                  int referenceChunk)
                           throws java.io.IOException

      Deprecated.
      Not called anymore by the framework
      Throws:
        `java.io.IOException`

    - #### writeResult

          public void writeResult​(CDODataOutput out,
                                  int referenceChunk,
                                  CDOBranchPoint securityContext)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`
      Since:
        4.1

    - #### readResult

          public void readResult​(CDODataInput in)
                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### processResult

          public void processResult​(InternalCDORevisionManager revisionManager,
                                    java.util.List<CDORevision> results,
                                    SyntheticCDORevision[] synthetics,
                                    int i)

    - #### writeRevision

          @Deprecated
          protected void writeRevision​(CDODataOutput out,
                                       int referenceChunk)
                                throws java.io.IOException

      Deprecated.
      Not called anymore by the framework
      Throws:
        `java.io.IOException`

    - #### writeRevision

          protected void writeRevision​(CDODataOutput out,
                                       int referenceChunk,
                                       CDOBranchPoint securityContext)
                                throws java.io.IOException

      Throws:
        `java.io.IOException`
      Since:
        4.1

    - #### readRevision

          protected void readRevision​(CDODataInput in)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeResult

          @Deprecated
          public static void writeResult​(CDODataOutput out,
                                         InternalCDORevision revision,
                                         int referenceChunk)
                                  throws java.io.IOException

      Deprecated.
      Call `writeResult(CDODataOutput, InternalCDORevision, int, CDOBranchPoint)`
      Throws:
        `java.io.IOException`
      Since:
        4.0

    - #### writeResult

          public static void writeResult​(CDODataOutput out,
                                         InternalCDORevision revision,
                                         int referenceChunk,
                                         CDOBranchPoint securityContext)
                                  throws java.io.IOException

      Throws:
        `java.io.IOException`
      Since:
        4.1

    - #### readResult

          public static InternalCDORevision readResult​(CDODataInput in,
                                                       CDOID id,
                                                       CDOBranch branch)
                                                throws java.io.IOException

      Throws:
        `java.io.IOException`
      Since:
        4.0

    - #### doWriteResult

          @Deprecated
          protected void doWriteResult​(CDODataOutput out,
                                       InternalCDORevision revision,
                                       int referenceChunk)
                                throws java.io.IOException

      Deprecated.
      Not called anymore by the framework
      Throws:
        `java.io.IOException`

    - #### doReadResult

          @Deprecated
          protected InternalCDORevision doReadResult​(CDODataInput in)
                                              throws java.io.IOException

      Deprecated.
      Not called anymore by the framework
      Throws:
        `java.io.IOException`